Summary:	ARJ archiver for Linux
Summary(pl.UTF-8):	Archiwizator ARJ dla Linuksa
Name:		arj
Version:	3.10.22
Release:	5
Epoch:		1
License:	GPL
Group:		Applications/Archiving
Source0:	http://testcase.newmail.ru/files/%{name}-%{version}.tar.gz
# Source0-md5:	f263bf3cf6d42a8b7e85b4fb514336d3
Patch0:		strnlen.patch
Patch1:		%{name}-glibc.patch
Patch2:		%{name}-format-security.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# main executable cannot be stripped (doesn't work then)
%define		no_install_post_strip 1
%define		specflags	-fno-unit-at-a-time

%description
This product is an implementation of ARJ v 2.7x for DOS on UNIX and
UNIX-like systems. It is assumed that the user is familiar with ARJ
operation on DOS before using this package.

%description -l pl.UTF-8
Jest to implementacja programu ARJ v 2.7x dla DOS na platformę UNIX i
systemy uniksopodobne. Zakłada się, że użytkownik korzystający z tego
pakietu zna sposób funkcjonowania programu ARJ pod DOS-em.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd gnu
%{__autoconf}
install /usr/share/automake/config.* .

%configure
cd ..
%{__make} -j1 \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}

cd linux-gnu/en/rs
install \
	arj/arj \
	arjdisp/arjdisp \
	rearj/rearj \
	$RPM_BUILD_ROOT%{_bindir}
install register/arj-register $RPM_BUILD_ROOT%{_bindir}/arj-register

install arjcrypt/arjcrypt.so $RPM_BUILD_ROOT%{_libdir}

%{!?debug:strip -R .comment -R .note $RPM_BUILD_ROOT%{_bindir}/{arjdisp,rearj,arj-register}}
%{!?debug:strip --strip-unneeded -R .comment -R .note $RPM_BUILD_ROOT%{_libdir}/*.so}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/rev_hist.txt resource/en/arjl.txt resource/en/readme.txt resource/en/unix.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/arj.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 6f88e96
- release 5 (by relup.sh)

* Wed Jan 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bf862de
- Add patch to fix build with -Werror=format-security

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 7b7d387
- needed for glibc 2.10; taken from ->
  http://bugs.gentoo.org/show_bug.cgi?id=271608

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 4058887
- rel.4
- glibc.patch added; taken from ->
  http://bugs.gentoo.org/show_bug.cgi?id=271608

* Thu Aug 20 2009 areq <areq@pld-linux.org> 2488ffa
- strnlen.patch

* Thu Aug 20 2009 areq <areq@pld-linux.org> 1e39e51
- s/strnlen/strnlen_arj/

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 19a55a5
- rel 2; fix build

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> ce769c3
- no strip reason

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ac223aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1858a2f
- converted to UTF-8

* Thu Jul 07 2005 Elan Ruusamäe <glen@pld-linux.org> 8ea1bb0
- doesn't build with parallel make, disable it

* Sun Jun 26 2005 saq <saq@pld-linux.org> ddc564f
- up to 3.10.22

* Fri Mar 25 2005 darekr <darekr@pld-linux.org> b0a50c5
- unified

* Sat Jul 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 83ca690
- updated to 3.10.21

* Sat May 15 2004 undefine <undefine@pld-linux.org> b0d00f2
- release 2 for AC

* Sat May 15 2004 undefine <undefine@pld-linux.org> a4e35e4
- update to 3.10.20

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> fe0635d
- rel. 2

* Sun Feb 22 2004 areq <areq@pld-linux.org> 6d94eb8
- 3.10.19

* Sun Nov 23 2003 speedy <speedy@pld-linux.org> 8ea3a9a
- release 2 for ac

* Fri Nov 07 2003 Jakub Bogusz <qboosh@pld-linux.org> 07ff3cb
- Epoch 1 (no strict relation btwn 3.10g and 3.10.18)

